package cz.muni.fi.pb162.project.demo;
import cz.muni.fi.pb162.project.geometry.*;
import java.io.*;
import java.util.*;

/**
 * Shortest path demo
 * 
 * @author Zuzana Neverilova
 * @version 2014-09-22
 */
public class Demo
{

    public static void main(String [] args) throws IOException{
        LabeledPolygon pol = new LabeledPolygon();
        pol.read(new File("cz/muni/fi/pb162/project/demo/nodes.txt"));

        Graph g = new Graph(pol);
        g.read(new File("cz/muni/fi/pb162/project/demo/edges.txt"));
//        System.out.println(g);
        List<Vertex2D> path = g.getShortestPath(pol.getVertex("Lahvova Lhota"), pol.getVertex("Horní Lhota"));
        for (Vertex2D v : path){
            System.out.println(pol.getLabels(v));
        }
        Draw canvas = new Draw();
        canvas.paintGraph(g);
        canvas.startPainting();        
    }

}
